# Class FooterWrapper

#### Hierarchy

- FooterWrapper

#### Implements

- IViewWrapper

- Defined in file/footer-wrapper.ts:16

#####
Index

### Constructors

constructor

### Accessors

Media
Relationships
View

### Methods

add
addChildElement

## Constructors

### constructor

- new FooterWrapper(media, referenceId, initContent?): FooterWrapper

- #### Parameters

  - ##### media: Media

  - ##### referenceId: number

  - ##### `Optional` initContent: XmlComponent

  #### Returns FooterWrapper

  - Defined in file/footer-wrapper.ts:20

## Accessors

### Media

- get Media(): Media

- #### Returns Media

  - Defined in file/footer-wrapper.ts:45

### Relationships

- get Relationships(): Relationships

- #### Returns Relationships

  Implementation of IViewWrapper.Relationships

  - Defined in file/footer-wrapper.ts:41

### View

- get View(): Footer

- #### Returns Footer

  Implementation of IViewWrapper.View

  - Defined in file/footer-wrapper.ts:37

## Methods

### add

- add(item): void

- #### Parameters

  - ##### item: Paragraph | Table

  #### Returns void

  - Defined in file/footer-wrapper.ts:29

### addChildElement

- addChildElement(childElement): void

- #### Parameters

  - ##### childElement: XmlComponent

  #### Returns void

  - Defined in file/footer-wrapper.ts:33

Generated using TypeDoc